Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 365665 - x11-base/xorg-server-1.9.5 CONFIGURE_OPTIONS are deprecated, use XORG_CONFIGURE_OPTIONS instead
Summary: x11-base/xorg-server-1.9.5 CONFIGURE_OPTIONS are deprecated, use XORG_CONFIGU...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: AMD64 Linux
: Normal QA (vote)
Assignee: Matt Turner
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-02 07:01 UTC by veveri
Modified: 2017-01-26 05:42 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
perl script to identify latest packages (newf,618 bytes, text/plain)
2011-11-19 01:13 UTC, Dave Kemper
Details

Note You need to log in before you can comment on or make changes to this bug.
Description veveri 2011-05-02 07:01:33 UTC
Build passes without any problems, however following warning is given:

QA: CONFIGURE_OPTIONS are deprecated. Please migrate to XORG_CONFIGURE_OPTIONS to preserve namespace.
Comment 1 celsion 2011-05-02 09:44:07 UTC
Same issue in

x11-drivers/xf86-video-ati-6.14.1
x11-apps/xdpyinfo-1.2.0
x11-apps/xset-1.2.1-r1
x11-libs/libXi-1.4.2
x11-libs/libX11-1.4.3
x11-libs/libdrm-2.4.25
x11-proto/xextproto-7.2.0
x11-proto/xproto-7.0.21
Comment 2 veveri 2011-05-04 07:46:12 UTC
Also in:

x11-libs/libxcb-1.7
Comment 3 razamatan 2011-05-05 07:10:37 UTC
x11-base/xorg-server-1.9.5
Comment 4 Jeroen Roovers gentoo-dev 2011-05-10 19:43:07 UTC
Anyone want a tracker bug?


xorg-2.eclass:

    # @VARIABLE: XORG_CONFIGURE_OPTIONS
    # @DESCRIPTION:
    # Array of an additional options to pass to configure.
    # @DEFAULT_UNSET
    if [[ $(declare -p XORG_CONFIGURE_OPTIONS 2>&-) != "declare -a"* ]]; then
        # fallback to CONFIGURE_OPTIONS, deprecated.
        [[ -n "${CONFIGURE_OPTIONS}" ]] && \
            ewarn "QA: CONFIGURE_OPTIONS are deprecated. Please migrate to XORG_CONFIGURE_OPTIONS to preserve namespace."
        local xorgconfadd=(${CONFIGURE_OPTIONS})
    else
        local xorgconfadd=("${XORG_CONFIGURE_OPTIONS[@]}")
    fi
Comment 5 Dave Kemper 2011-08-20 19:28:58 UTC
In addition to some of the previously reported packages, I got this message on the following updates/installs:

media-fonts/font-util-1.2.0
x11-apps/xinit-1.3.0-r2
x11-base/xorg-server-1.9.4
x11-libs/libXext-1.2.0
x11-libs/libXfont-1.4.3
x11-libs/libXi-1.4.1
x11-libs/libXtst-1.2.0
x11-libs/libpciaccess-0.12.1
x11-libs/xtrans-1.2.6
x11-proto/bigreqsproto-1.1.1
x11-proto/recordproto-1.14.1
x11-proto/xcmiscproto-1.2.1

I did not get it on x11-libs/libxcb-1.7, reported in comment #2.
Comment 6 wang yanqing 2011-08-30 04:49:30 UTC
I get the issue the same with:
x11-libs/libICE-1.0.7
x11-libs/libSM-1.2.0
x11-libs/libX11-1.4.3
x11-libs/libXScrnSaver-1.2.1
x11-libs/libXau-1.0.6
x11-libs/libXaw-1.0.9
x11-libs/libXcomposite-0.4.3-r1
x11-libs/libXcursor-1.1.11
x11-libs/libXdamage-1.1.3
x11-libs/libXdmcp-1.1.0
x11-libs/libXext-1.3.0
x11-libs/libXfixes-5.0
x11-libs/libXfont-1.4.4
x11-libs/libXfontcache-1.0.5
x11-libs/libXft-2.2.0
x11-libs/libXi-1.4.3
x11-libs/libXinerama-1.1.1
x11-libs/libXmu-1.1.0
x11-libs/libXpm-3.5.9
x11-libs/libXrandr-1.3.1
x11-libs/libXrender-0.9.6
x11-libs/libXres-1.0.5
x11-libs/libXt-1.1.1
x11-libs/libXtst-1.2.0
x11-libs/libXv-1.0.6
x11-libs/libXvMC-1.0.6
x11-libs/libXxf86dga-1.1.2
x11-libs/libXxf86misc-1.0.3
x11-libs/libXxf86vm-1.1.1
x11-libs/libdrm-2.4.26
x11-libs/libfontenc-1.1.0
x11-libs/libpciaccess-0.12.1
x11-libs/libva-0.32.0_p2
x11-libs/libvdpau-0.4.1
x11-libs/libxcb-1.7
x11-libs/libxkbfile-1.0.7
x11-libs/libxklavier-5.0

emerge --info

Portage 2.1.10.11 (default/linux/x86/10.0, gcc-4.4.5, glibc-2.12.2-r0, 2.6.38.8+ i686)
=================================================================
System uname: Linux-2.6.38.8+-i686-Intel-R-_Core-TM-_i3_CPU_M_330_@_2.13GHz-with-gentoo-2.0.3
Timestamp of tree: Tue, 30 Aug 2011 01:30:01 +0000
app-shells/bash:          4.1_p9
dev-lang/python:          2.7.1-r1, 3.1.3-r1
dev-util/cmake:           2.8.4-r1
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.0.3
sys-apps/openrc:          0.8.3-r1
sys-apps/sandbox:         2.4
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:       2.20.1-r1
sys-devel/gcc:            4.4.5
sys-devel/gcc-config:     1.4.1-r1
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82
sys-kernel/linux-headers: 2.6.36.1 (virtual/os-headers)
sys-libs/glibc:           2.12.2
Repositories: gentoo x-portage
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="* -@EULA"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=i686 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo"
CXXFLAGS="-O2 -march=i686 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs distlocks ebuild-locks fixlafiles fixpackages news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="zh_CN.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/root/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X acl argument berkdb bzip2 cli cracklib crypt cups cxx dbus declarative device-mapper dri extras fbcondecor fontconfig fortran gdbm gnutls gpm iconv ipv6 ithreads jadetex jpeg kde modules mpi mudflap ncurses nls nptl nptlonly opengl openmp pam pcre perl png policykit postgres pppd private-headers python qt3support qt4 readline romio session sql sqlite3 ssl svg sysfs tcpd threads truetype unicode webkit x86 xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="fbdev glint intel mach64 mga neomagic nouveau nv r128 radeon savage sis tdfx trident vesa via vmware dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 7 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2011-08-30 07:37:12 UTC
We'd appreciate if someone could do a list with only packages for whom the warning appears at the _newest_ version in tree. We aren't really interested in retroactively updating outdated packages for a single QA warning.
Comment 8 Dave Kemper 2011-11-19 01:11:46 UTC
(In reply to comment #7)
> We'd appreciate if someone could do a list with only packages for whom the
> warning appears at the _newest_ version in tree.

I've attached a script to identify them.  Run it on any box with a recently --sync'ed portage tree, giving it a list of packages as input, and it will output those packages that are the newest in the tree.

Feeding the script all the packages listed in comments 1, 2, 3, 5, and 6, on a machine --sync'ed yesterday, I get the following:

x11-proto/xextproto-7.2.0
media-fonts/font-util-1.2.0
x11-libs/libXtst-1.2.0
x11-libs/libpciaccess-0.12.1
x11-libs/xtrans-1.2.6
x11-proto/bigreqsproto-1.1.1
x11-proto/recordproto-1.14.1
x11-proto/xcmiscproto-1.2.1
x11-libs/libICE-1.0.7
x11-libs/libSM-1.2.0
x11-libs/libXScrnSaver-1.2.1
x11-libs/libXau-1.0.6
x11-libs/libXaw-1.0.9
x11-libs/libXcomposite-0.4.3-r1
x11-libs/libXdamage-1.1.3
x11-libs/libXdmcp-1.1.0
x11-libs/libXext-1.3.0
x11-libs/libXfixes-5.0
x11-libs/libXfont-1.4.4
x11-libs/libXfontcache-1.0.5
x11-libs/libXft-2.2.0
x11-libs/libXinerama-1.1.1
x11-libs/libXmu-1.1.0
x11-libs/libXpm-3.5.9
x11-libs/libXrender-0.9.6
x11-libs/libXres-1.0.5
x11-libs/libXt-1.1.1
x11-libs/libXv-1.0.6
x11-libs/libXvMC-1.0.6
x11-libs/libXxf86dga-1.1.2
x11-libs/libXxf86misc-1.0.3
x11-libs/libXxf86vm-1.1.1
x11-libs/libfontenc-1.1.0
x11-libs/libvdpau-0.4.1
x11-libs/libxcb-1.7
x11-libs/libxkbfile-1.0.7

The script isn't infallible, because ASCII ordering does not always produce ascending version numbers.  Also, some packages have seemingly fake entries in portage (e.g. x11-libs/libva-9999) that the script will take as the newest version.  But this should be a good starting point.

x11-base/xorg-server-1.9.5 is not the latest version, so it should probably be removed from this bug's summary.
Comment 9 Dave Kemper 2011-11-19 01:13:08 UTC
Created attachment 293059 [details]
perl script to identify latest packages
Comment 10 Matt Turner gentoo-dev 2017-01-26 05:42:45 UTC
Fixed ages ago in xorg-server.

I fixed up xeyes and xlogo.